#ifndef MAJA_TEMP__H
#define MAJA_TEMP__H

#include <string>
#ifndef WIN32
#include <GL/glx.h>
#else
#include <windows.h>
#endif

namespace maja
{
//
// inner classes: just some about behaves.
// from A. Alexandrescu
//

template <class T> struct MajaNoChecking
{
	static void Check( T*){}
};

template <class T> struct MajaEnforceNotNull
{
	class NullPointerException: public std::exception{ ; };

	static void Check(T *ptr){
		if( !ptr)
			throw NullPointerException();
	}
};

}// namespace maja
#endif
