#ifndef MAJA_TYPES_H
#define MAJA_TYPES_H

#ifdef WIN32
#include <windows.h>
#endif
#include <GL/gl.h>

namespace maja
{
	typedef	GLint		mint;
	typedef GLuint		muint;
	typedef float		mfloat;
	typedef double		mdouble;
	typedef bool		mbool;
	typedef char		mchar;
	typedef unsigned char	muchar;
	typedef void		mvoid;
	typedef GLshort		mshort;
	typedef GLushort	mushort;
	typedef long		mlong;
	typedef unsigned long	mulong;

	typedef mdouble		mreal;
	typedef mreal		real;

	#define mnull		0x0
	#define null		0x0

	#define mtrue		true
	#define mfalse		false

	// just for estecicity...
	#define menum		enum
	#define minline		inline

	class MajaNullType 
	{
	};

	struct MajaEmptyType 
	{
	};
}
#endif
