#ifndef __MAJA_SERVER_H
#define __MAJA_SERVER_H

#include "socket.h"
#include <iostream>
#include <stdlib.h>

class MajaNetServer: public MajaMainNetwork
{
	public:

	MajaNetServer( void): 	MajaMainNetwork()
	{
		;
	}

	~MajaNetServer( void)
	{
		;
	}
	
	bool Open( void)
	{
		switch( socket_type){
				
			case MST_sock_unix:
				return OpenUnix();
						
			case MST_sock_tcp:
				return OpenInet();
						
			default:
				cerr << endl << "MajaNetwork: non valid network protocol.";
		}
		
		return false;
	}

	bool OpenUnix( void)
	{
		unlink( "MAJA_GAME_SERVER");
		
//		socket._socket_server= socket( AF_UNIX, SOCK_STREAM, 0);
		socket._sock_info.__sock_unix.__add_server.sun_family= AF_UNIX;
		
		strcpy( socket._sock_info.__sock_unix.__add_server.sun_path, "MAJA_GAME_SERVER");
		socket._sizeof_server= sizeof( socket._sock_info.__sock_unix.__add_server);

		if( bind(	socket._socket_server,
				(struct sockaddr*)&socket._sock_info.__sock_unix.__add_server,
				socket._sizeof_server)== 0)
			return true;
			
		// errno EBADF, ENOTSOCK, EINVAL, EADDRNOTAVAIL, EADDRINUSE
		
		return false;
	}
	
	bool OpenInet( void)
	{
		return false;
	}
	
	bool Listen( void){
		if( listen( socket._socket_server, 5)==0)
			return true;
			
		// errno EBADF, ENOTSOCK, EINVAL
		
		return false;
	}
	
	bool Accept( void){
		socket._sizeof_client= sizeof( socket._sock_info.__sock_unix.__add_client);
//		socket._socket_client= accept(	socket._socket_client,
//									(struct sockaddr*)socket._sock_info.__sock_unix.__add_client,
//									(socklen_t*)&socket._sizeof_client);

		return true;
	}

	bool Close( void)
	{
		close( socket._socket_client);
		return true;
	}
};
#endif
