/*
	majamaths.h
	ce fichier est une partie de Maja - this is a part of Maja
	nouvelles fonctionnalits mathmatiques et gometriques
	new math & geom funcs.
	
	Ce fichier remplace matrix3d.h.
	This file replaces matrix3d.h
	
	$Id: $

	$Log: $

	begin:			Sun Aug 11 2002
	copyright:		(C) 2000,2001,2002,2003 by Jean-Dominique Frattini
	email:			jd.frattini@tuxfamily.org	
*/

/************************************************************************************************
 *												*
 *	Ce programme est un logiciel libre; vous pouvez le redistribuer et/ou le modifier	*
 *	sous les termes de la GNU General Public License comme publie par			*
 *	la Free Software Foundation; soit en utilisant la verstion 2 de cette license, ou	*
 *	(si vous le voulez) toute version ultrieure.						*
 *	-											*
 *	This program is free software; you can redistribute it and/or modify			*
 *	it under the terms of the GNU General Public License as published by			*
 *	the Free Software Foundation; either version 2 of the License, or			*
 *	(at your option) any later version.							*
 *												*
 ************************************************************************************************/

/*TODO:	implmenter les cas d'cole de la gometrie:
 * 		* les similitudes directes/indirectes
 * 		* les dplacements, antidplacements
 * 		* ...
 * 	a permet de composer des transformations en une seule
 * 	matrice calcule.
 */

#ifndef MAJA_MATHS_H
#define MAJA_MATHS_H

#ifdef __LINUX
#define __GNU_SOURCE
#endif

#include "majascalar.h"
#include "majavector.h"
#include "majaquaternion.h"
#include "majamatrix.h"

namespace maja{
	namespace MAJAMATHS{
		typedef	MajaVector		MajaLineEquation;
	//	typedef	MajaQuaternion		MajaPlaneEquation;
	}
}
	
#endif
