/* imagejpg.h , this is a part of Maja
 * load JPG image files
 * later must load jpeg files and why not others
 * Copyright (C) 2000-2002 Jean-Dominique Frattini
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Cette license est valable en terme de droit franais. Cela signifie que c'est la
 * lgislation franaise qui est en vigueur pour l'ensemble des sources contenues
 * dans la librairie. Sauf image.cpp et image.h, se reposant sur aucune license explicite,
 * mais qui sont fournies aimablement dans les librairies Mesa sous license LGPL.
 *
 * Ce programme est un logiciel libre; vous pouvez le redistribuer et/ou
 * le modifier sous les termes de la license publique gnrale
 * publie par la Free Software Foundation; soit la version 2 de la
 * license, ou (si vous le voulez) toute version ultrieure.
 *
 * Ce programme est distribu dans l'espoir d'tre utile, mais
 * SANS AUCUNE GARANTIE; et mme une garantie implicite,
 * y compris les garanties de COMMERCIALISATION ou D'ADAPTATION
 * DANS UN BUT SPCIFIQUE. Prenez connaissance de la License Publique
 * Gnrale GNU pour plus de dtail.
 *
 * Vous devez avoir reu une copie de la License Publique Gnrale
 * GNU avec ce programme; si ce n'est pas le cas, vrivez  la
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __MAJAIMAGEJPG_H__
#define __MAJAIMAGEJPG_H__

#ifndef WIN32
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <iostream>
#include <jpeglib.h>
#include <jerror.h>

class MajaJpegImage
{
	protected:
	jpeg_decompress_struct	j_data;
	jpeg_error_mgr			j_error;
	FILE					*file;
	char						*file_name;
	
	unsigned char image[256*256*3];
	unsigned char texture[256][256][3];
	
	public:
	MajaJpegImage( void){
		file= NULL;
		file_name= NULL;
	}
	
	~MajaJpegImage( void){}
	
	unsigned char**** GetTexture( void){ return (unsigned char****)&texture;}

	// Always undefined reference to jpeg_fonctions while trying it,
	// even if we link to libjpeg.a or .so
	bool ImageLoad( char *filename){
		/*unsigned char *ligne;
		int i, j;

		file_name= new char[strlen( filename)+1];
		if( !file_name)
			return false;
		strcpy( file_name, filename);

		j_data.err= jpeg_std_error( &j_error);
		jpeg_create_decompress( &j_data);

		if( !( file= fopen( filename, "rb"))){
			cerr << "MajaJpegImage: could not open file: " << filename << endl;
			return false;
		}

		jpeg_stdio_src( &j_data, file);
		jpeg_read_header( &j_data, TRUE);

		if( ( j_data.image_width!= 256) || (j_data.image_height!= 256)){
			cerr << "MajaJpegImage: image is not 256*256 size" << endl;
			return false;
		}

		if( j_data.jpeg_color_space== JCS_GRAYSCALE){
			cerr << "MajaJpegImage: could not load grayscale image" << endl;
			return false;
		}

		jpeg_start_decompress( &j_data);
		ligne= image;

		while( j_data.output_scanline< j_data.output_height){

			ligne= image+3*256*j_data.output_scanline;
			jpeg_read_scanlines( &j_data, &ligne, 1);
		}

		jpeg_finish_decompress( &j_data);
		jpeg_destroy_decompress( &j_data);

		for( i=0; i<256; i++)
			for( j=0; j<256; j++){
				texture[i][j][0]= image[i*256*3+j*3];
				texture[i][j][1]= image[i*256*3+j*3+1];
				texture[i][j][2]= image[i*256*3+j*3+2];
			}
		*/
		return true;
	}
};
#endif
#endif
