#ifndef __MAJA_CLIENT_H
#define __MAJA_CLIENT_H

#include "socket.h"
#include <iostream>

class MajaClient
{
	int  sockfd;
	int longueur;
	struct sockaddr_un adresse;
	int resultat;
	char ch[256];
	
	public:
	MajaClient( void){}
	
	bool CreateSocket( void)
	{
		sockfd= socket( AF_UNIX, SOCK_STREAM, 0);
		adresse.sun_family= AF_UNIX;
		strcpy( adresse.sun_path, MAJA_SERVER_NAME);
		longueur= sizeof( adresse);
		return true;
	}
	
	bool Connect( void)
	{
		resultat= connect( sockfd, (struct sockaddr*)&adresse, longueur);
		if( resultat==-1){
			fprintf( stderr, "erreur");
			return false;//exit( 1);
		}
		else
			cerr << endl << "connect au serveur.";
		return true;
	}
	
	bool Close( void)
	{
		close( sockfd);
		return true;
	}
	
	bool SendInfo( void)
	{
		printf( "Entrer un texte  envoyer au serveur (max 255 caractres)");
		scanf( "%s", &ch[0]);

		write( sockfd, &ch, 255);
		read( sockfd, &ch, 255);
		printf( "serveur renvoit: %s\n", &ch[0]);

		return true;
	}
};
#endif
