/*
	majamesh.cpp
	this is a part of Maja
	meshes for loaded models

	$Id: $

	$Log: $

	begin:			Jun 2002
	copyright:		(C) 2002 by Jean-Dominique Frattini
	email:			jd.frattini@tuxfamily.org	
*/

/********************************************************************************
 *										*
 *	This program is free software; you can redistribute it and/or modify	*
 *	it under the terms of the GNU General Public License as published by	*
 *	the Free Software Foundation; either version 2 of the License, or	*
 *	(at your option) any later version.					*
 *	Please read the license (COPYING)					*
 *										*
 ********************************************************************************/

#include <stdlib.h>
#include "engines/modeler/majamesh.h"

namespace maja
{
MajaMesh::MajaMesh( mvoid)
{
	vertices= mnull;
	normals= mnull;
	texels= mnull;
	texels2= mnull;
	texels_refl= mnull;
	materials= mnull;
	colors= mnull;
	in= mnull;;
	tex_id= mnull;
	tex_id2= mnull;
	count= last_count= m_count= 0;
	name= mnull;
	tex_rot= tex_rot2= mnull;
	tex_refl= mnull;
	name= mnull;
}
	
MajaMesh::~MajaMesh( mvoid)
{
	free( vertices);
	free( normals);
	free( texels);
	free( texels2);
	free( texels_refl);
	free( colors);
	free( materials);
	free( in);
	free( tex_id);
	free( name);
	free( tex_rot);
	free( tex_id2);
	free( tex_rot2);
	free( tex_refl);
	free( name);
}
}
