/*
 * MajaWindow, a window for rendering your display
 * (c) 2002 by JD Frattini
// TODO: windows compatibility
 */

#include <string.h>		// quite bad done here !!!
#include "layers/wm/winattr.h"

namespace maja
{
	
MajaWinAttr::MajaWinAttr( void)
{
	#ifndef GLX_VERSION_1_3
	glx_attr[0]= GLX_DOUBLEBUFFER;
	glx_attr[1]= GLX_BUFFER_SIZE;
	glx_attr[2]= 24;
	glx_attr[3]= GLX_RGBA;
	glx_attr[4]= GLX_RED_SIZE;
	glx_attr[5]= 6;
	glx_attr[6]= GLX_GREEN_SIZE;
	glx_attr[7]= 6;
	glx_attr[8]= GLX_BLUE_SIZE;
	glx_attr[9]= 6;
	glx_attr[10]= GLX_ALPHA_SIZE;
	glx_attr[11]= 6;
	glx_attr[12]= GLX_DEPTH_SIZE;
	glx_attr[13]= 24;
	for( int i=14; i<25; i++)
		glx_attr[i]= None;	
	glx_attr_nb= 14;
	#endif

	name= new char[12];
	if( !name) 
		return;
	strcpy( name, "Maja on GLX");
		
	width= 640;
	height= 480;
	x=0; y=0;
	depth= 16;
	fullscreen= false;
}

void MajaWinAttr::SetName( char *n)
{
	if( name){ 
		delete[] name; 
		name= NULL;
	}
	name= new char[strlen( n+1)];
	if( !name) 
		return;
	strcpy( name, n);
}

void MajaWinAttr::SetPosition( uint x, uint y)
{
	this->x=x;
	this->y=y;
}

void MajaWinAttr::SetSize( uint w, uint h)
{
	width= w;
	height= h;
}

void MajaWinAttr::SetDepth( uint d)
{
	depth= d;
}

void MajaWinAttr::SetFullScreen( bool f)
{
	fullscreen= f;
}

void MajaWinAttr::SetXWAttr( XSetWindowAttributes& a)
{
	attributes= a;
}
}
